66 votos

Instale una rama específica desde github usando Npm

Me gustaría instalar bootstrap-loader desde github en mi proyecto usando npm

Actualmente están manteniendo dos versiones de este proyecto que son comptibles con webpack versión 1 y 2.

Me gustaría instalar la versión 1. ¿Qué comando npm debo usar para instalar esto?

Traté de usar debajo de uno, pero no está funcionando.

140voto

lest Puntos 1526

Hay corchetes adicionales en el comando que ha intentado.

Para instalar la versión más reciente de la `` rama, puede utilizar:

9voto

mkg Puntos 215

usted puede dar patrón git como versión, hilo y npm son lo suficientemente inteligentes como para resolver desde un repositorio git.

``

o para npm

``

4voto

Xin Puntos 5618

Sólo haz:

E.g.

Una cosa que también quiero mencionar: no es una buena idea registrar en el package.json para el servidor de compilación extraer automáticamente el cambio. En su lugar, coloque el comando npm i (primero) en el comando build y deje que el servidor instale y reemplace el paquete.

-3voto

mEnE Puntos 174

El doc del npm define que solo se puede especificar la etiqueta/versión después de repo_url.

Aquí está el Doc: https://docs.npmjs.com/cli/install

Iteramos.com

Iteramos es una comunidad de desarrolladores que busca expandir el conocimiento de la programación mas allá del inglés.
Tenemos una gran cantidad de contenido, y también puedes hacer tus propias preguntas o resolver las de los demás.

Powered by:

X